commit b34b21510a0e5cac1fc5d7c676ef64af25ba1336
Author: Steve Beaver <sbeaver@netgate.com>
Date:   Mon Feb 8 12:53:13 2021 -0500

    Add registered trdemark symbol where appropriate

diff --git a/src/etc/inc/globals.inc b/src/etc/inc/globals.inc
index 42b7bb9ae5..d89e883719 100644
--- a/src/etc/inc/globals.inc
+++ b/src/etc/inc/globals.inc
@@ -65,6 +65,7 @@ $g = array(
 	"admin_group" => "admins",
 	"product_name" => "pfSense",
 	"product_label" => "pfSense",
+	"product_label_html" => "Netgate pfSense<sup>&#174;</sup> Plus",
 	"product_version" => trim(file_get_contents("/etc/version"), " \n"),
 	"product_copyright_years" => "2004 - ".date("Y"),
 	"disablehelpmenu" => false,
diff --git a/src/usr/local/www/crash_reporter.php b/src/usr/local/www/crash_reporter.php
index 6ad036e0e1..274695a610 100644
--- a/src/usr/local/www/crash_reporter.php
+++ b/src/usr/local/www/crash_reporter.php
@@ -97,7 +97,7 @@ if ($_POST['Submit'] == "No") {
 	<div class="panel-body">
 		<div class="content">
 			<p>
-				<?=sprintf(gettext("Debugging output can be collected to share with %s developers or others providing support or assistance."), $g['product_label'])?>
+				<?=sprintf(gettext("Debugging output can be collected to share with %s developers or others providing support or assistance."), $g['product_label_html'])?>
 				<br/><br/>
 				<i><?=gettext("Inspect the contents to ensure this information is acceptable to disclose before distributing these files.")?></i>
 			</p>
diff --git a/src/usr/local/www/diag_backup.php b/src/usr/local/www/diag_backup.php
index b44fbedb2b..ae23cd1244 100644
--- a/src/usr/local/www/diag_backup.php
+++ b/src/usr/local/www/diag_backup.php
@@ -216,7 +216,7 @@ $section = new Form_Section('Restore Backup');
 
 $section->addInput(new Form_StaticText(
 	null,
-	sprintf(gettext("Open a %s configuration XML file and click the button below to restore the configuration."), $g['product_label'])
+	sprintf(gettext("Open a %s configuration XML file and click the button below to restore the configuration."), $g['product_label_html'])
 ));
 
 $section->addInput(new Form_Select(
diff --git a/src/usr/local/www/firewall_virtual_ip_edit.php b/src/usr/local/www/firewall_virtual_ip_edit.php
index b6c221b9af..5fc4780cf6 100644
--- a/src/usr/local/www/firewall_virtual_ip_edit.php
+++ b/src/usr/local/www/firewall_virtual_ip_edit.php
@@ -463,7 +463,7 @@ print($form);
 	    'firewall (IPsec, OpenVPN, etc.). Use an IP Alias or CARP type ' .
 	    'VIP for these roles.%1$s' .
 	    'For more information, visit the %2$s book section on %3$s'),
-		'<br />', $g['product_label'],
+		'<br />', $g['product_label_html'],
 		'<a href="https://docs.netgate.com/pfsense/en/latest/firewall/virtual-ip-addresses.html">Virtual IP Addresses</a>.'),
 	    'info', false);
 	?>
diff --git a/src/usr/local/www/head.inc b/src/usr/local/www/head.inc
index a5d4e17e20..a2c103de63 100644
--- a/src/usr/local/www/head.inc
+++ b/src/usr/local/www/head.inc
@@ -690,7 +690,7 @@ if (file_exists('/conf/needs_package_sync') && platform_booting()) {
 	$warning_text = sprintf(gettext(
 	    '%1$s%3$s is booting, then packages will be reinstalled in the ' .
 	    'background.%2$s%1$sDo not make changes in the GUI until this is ' .
-	    'complete.%2$s'), '<p>', '</p>', $g['product_label']);
+	    'complete.%2$s'), '<p>', '</p>', $g['product_label_html']);
 } elseif (is_subsystem_dirty('packagelock')) {
 	$pgtitle = array(gettext("System"), gettext("Package Manager"));
 	$warning_text = sprintf(gettext('%1$sPackages are currently being ' .
diff --git a/src/usr/local/www/index.php b/src/usr/local/www/index.php
index 492b98f10b..161b981bb4 100644
--- a/src/usr/local/www/index.php
+++ b/src/usr/local/www/index.php
@@ -60,7 +60,7 @@ if (isset($_REQUEST['closenotice'])) {
 }
 
 if (($g['disablecrashreporter'] != true) && (system_has_crash_data() || system_has_php_errors())) {
-	$savemsg = sprintf(gettext("%s has detected a crash report or programming bug."), $g['product_label']) . " ";
+	$savemsg = sprintf(gettext("%s has detected a crash report or programming bug."), $g['product_label_html']) . " ";
 	if (isAllowedPage("/crash_reporter.php")) {
 		$savemsg .= sprintf(gettext('Click %1$shere%2$s for more information.'), '<a href="crash_reporter.php">', '</a>');
 	} else {
@@ -200,10 +200,10 @@ if (file_exists('/conf/trigger_initial_wizard')) {
 			<div class="container">
 				<div class="col-sm-offset-3 col-sm-6 col-xs-12">
 					<font color="white">
-					<p><h3><?=sprintf(gettext("Welcome to %s!") . "\n", $g['product_label'])?></h3></p>
+					<p><h3><?=sprintf(gettext("Welcome to %s!") . "\n", $g['product_label_html'])?></h3></p>
 					<p><?=gettext("One moment while the initial setup wizard starts.")?></p>
 					<p><?=gettext("Embedded platform users: Please be patient, the wizard takes a little longer to run than the normal GUI.")?></p>
-					<p><?=sprintf(gettext("To bypass the wizard, click on the %s logo on the initial page."), $g['product_label'])?></p>
+					<p><?=sprintf(gettext("To bypass the wizard, click on the %s logo on the initial page."), $g['product_label_html'])?></p>
 					</font>
 				</div>
 			</div>
diff --git a/src/usr/local/www/interfaces_qinq.php b/src/usr/local/www/interfaces_qinq.php
index a10680b4c8..816b798db6 100644
--- a/src/usr/local/www/interfaces_qinq.php
+++ b/src/usr/local/www/interfaces_qinq.php
@@ -153,7 +153,7 @@ endforeach;
 <div class="infoblock">
 	<?php print_info_box(sprintf(gettext('Not all drivers/NICs support 802.1Q QinQ tagging properly. %1$sOn cards that do not explicitly support it, ' .
 		'QinQ tagging will still work, but the reduced MTU may cause problems.%1$s' .
-		'See the %2$s handbook for information on supported cards.'), '<br />', $g['product_label']), 'info', false); ?>
+		'See the %2$s handbook for information on supported cards.'), '<br />', $g['product_label_html']), 'info', false); ?>
 </div>
 
 <?php
diff --git a/src/usr/local/www/interfaces_vlan.php b/src/usr/local/www/interfaces_vlan.php
index 91274b6c31..6edc735816 100644
--- a/src/usr/local/www/interfaces_vlan.php
+++ b/src/usr/local/www/interfaces_vlan.php
@@ -146,7 +146,7 @@ display_top_tabs($tab_array);
 	<?php print_info_box(sprintf(gettext('Not all drivers/NICs support 802.1Q '.
 		'VLAN tagging properly. %1$sOn cards that do not explicitly support it, VLAN '.
 		'tagging will still work, but the reduced MTU may cause problems.%1$sSee the '.
-		'%2$s handbook for information on supported cards.'), '<br />', $g['product_label']), 'info', false); ?>
+		'%2$s handbook for information on supported cards.'), '<br />', $g['product_label_html']), 'info', false); ?>
 </div>
 
 <?php
diff --git a/src/usr/local/www/pkg_mgr_install.php b/src/usr/local/www/pkg_mgr_install.php
index 57888dfa4f..bc0f967c0b 100644
--- a/src/usr/local/www/pkg_mgr_install.php
+++ b/src/usr/local/www/pkg_mgr_install.php
@@ -367,7 +367,7 @@ if (!isvalidpid($gui_pidfile) && !$confirmed && !$completed &&
 <?php
 			elseif ($firmwareupdate):
 ?>
-				<?=sprintf(gettext('Confirmation Required to update %s system.'), $g['product_label'])?>
+				<?=sprintf(gettext('Confirmation Required to update %s system.'), $g['product_label_html'])?>
 <?php
 			else:
 ?>
diff --git a/src/usr/local/www/services_captiveportal.php b/src/usr/local/www/services_captiveportal.php
index 5128fbf85f..7ccb968364 100644
--- a/src/usr/local/www/services_captiveportal.php
+++ b/src/usr/local/www/services_captiveportal.php
@@ -646,14 +646,14 @@ if (captiveportal_xmlrpc_sync_get_details($tmpsyncip, $tmpport, $tmpusername, $t
 	'Preserve users database',
 	'Preserve connected users across reboot',
 	'yes'
-	))->setDisabled()->setHelp("If enabled, connected users won't be disconnected during a %s reboot. This setting is not editable because High Availability is enabled.", $g['product_label']);
+	))->setDisabled()->setHelp("If enabled, connected users won't be disconnected during a %s reboot. This setting is not editable because High Availability is enabled.", $g['product_label_html']);
 } else {
 	$section->addInput(new Form_Checkbox(
 	'preservedb',
 	'Preserve users database',
 	'Preserve connected users across reboot',
 	$pconfig['preservedb']
-	))->setHelp("If enabled, connected users won't be disconnected during a %s reboot.", $g['product_label']);
+	))->setHelp("If enabled, connected users won't be disconnected during a %s reboot.", $g['product_label_html']);
 }
 
 $section->addInput(new Form_Select(
@@ -675,7 +675,7 @@ $section->addInput(new Form_Checkbox(
 	$pconfig['nomacfilter']
 ))->setHelp('If enabled no attempts will be made to ensure that the MAC address of clients stays the same while they are logged in. ' .
 			'This is required when the MAC address of the client cannot be determined (usually because there are routers between %s and the clients). ' .
-			'If this is enabled, RADIUS MAC authentication cannot be used.', $g['product_label']);
+			'If this is enabled, RADIUS MAC authentication cannot be used.', $g['product_label_html']);
 
 $section->addInput(new Form_Checkbox(
 	'passthrumacadd',
@@ -1132,7 +1132,7 @@ $section->addInput(new Form_Input(
 ))->setHelp('This name will be used in the form action for the HTTPS POST and should match the Common Name (CN) in the certificate ' .
 			'(otherwise, the client browser will most likely display a security warning). ' .
 			'Make sure captive portal clients can resolve this name in DNS and verify on the client that the IP resolves to the correct interface IP on %s.',
-			$g['product_label']);
+			$g['product_label_html']);
 
 $section->addInput(new Form_Select(
 	'certref',
diff --git a/src/usr/local/www/services_captiveportal_hasync.php b/src/usr/local/www/services_captiveportal_hasync.php
index 15bcc6d3c9..38e2a549d2 100644
--- a/src/usr/local/www/services_captiveportal_hasync.php
+++ b/src/usr/local/www/services_captiveportal_hasync.php
@@ -79,7 +79,7 @@ if ($_POST['save']) {
 	if ($_POST['backwardsyncip'] && (is_ipaddr_configured($_POST['backwardsyncip']))) {
 		$input_errors[] = sprintf(gettext("This IP is currently used " .
 		    "by this %s node. Please enter an IP belonging to the " .
-		    "primary node."), $g['product_label']);
+		    "primary node."), $g['product_label_html']);
 	}
 	if ($_POST['backwardsyncpassword'] != $_POST['backwardsyncpassword_confirm']) {
 		$input_errors[] = gettext("Password and confirmed password must match.");
@@ -119,7 +119,7 @@ if ($_POST['save']) {
 				if ($rpc_client->get_error() != '') {
 					$input_errors[] = $rpc_client->get_error();
 				} else {
-					$input_errors[] = sprintf(gettext('Error during communication with %s primary node.'), $g['product_label']);
+					$input_errors[] = sprintf(gettext('Error during communication with %s primary node.'), $g['product_label_html']);
 				}
 			} else {
 				// Contains array of connected users (will be stored in SQLite DB)
@@ -196,7 +196,7 @@ $section->addInput(new Form_Checkbox(
 	))->setHelp('The XMLRPC sync provided by %1$s in <a href="/system_hasync.php">High Availability</a> settings only synchronize a secondary node to its primary node.'.
 	'This checkbox enable a backward sync from the secondary to the primary, in order to have a bi-directional synchronization.%1$s'.
 	'The purpose of this feature is to keep connected users synchronized between servers even if a node does down, thus providing redundancy for the captive portal zone.%2$s%2$s'.
-	'<b>Important: these settings should be set on the secondary node only ! Do not update these settings if this %1$s is the primary node !</b>', $g['product_label'], '<br />');
+	'<b>Important: these settings should be set on the secondary node only ! Do not update these settings if this %1$s is the primary node !</b>', $g['product_label_html'], '<br />');
 
 $section->addInput(new Form_IpAddress(
 	'backwardsyncip',
@@ -209,7 +209,7 @@ $section->addInput(new Form_Input(
 	'Primary node username',
 	'text',
 	$pconfig['backwardsyncuser']
-))->setHelp('Please enter the username of the primary node that the secondary node will use for backward sync. This could be any %1$s user on the primary node with "System - HA node sync" privileges.', $g['product_label']);
+))->setHelp('Please enter the username of the primary node that the secondary node will use for backward sync. This could be any %1$s user on the primary node with "System - HA node sync" privileges.', $g['product_label_html']);
 
 $section->addPassword(new Form_Input(
 	'backwardsyncpassword',
diff --git a/src/usr/local/www/services_dhcp_relay.php b/src/usr/local/www/services_dhcp_relay.php
index c98a92df70..0d321a63ba 100644
--- a/src/usr/local/www/services_dhcp_relay.php
+++ b/src/usr/local/www/services_dhcp_relay.php
@@ -175,7 +175,7 @@ $section->addInput(new Form_Checkbox(
 	$pconfig['agentoption']
 ))->setHelp(
 	'If this is checked, the DHCP relay will append the circuit ID (%s interface number) and the agent ID to the DHCP request.',
-	$g['product_label']
+	$g['product_label_html']
 	);
 
 $counter = 0;
diff --git a/src/usr/local/www/services_dhcpv6_relay.php b/src/usr/local/www/services_dhcpv6_relay.php
index 9a40c89a37..08819165fc 100644
--- a/src/usr/local/www/services_dhcpv6_relay.php
+++ b/src/usr/local/www/services_dhcpv6_relay.php
@@ -170,7 +170,7 @@ $section->addInput(new Form_Checkbox(
 	$pconfig['agentoption']
 ))->setHelp(
 	'If this is checked, the DHCPv6 relay will append the circuit ID (%s interface number) and the agent ID to the DHCPv6 request.',
-	$g['product_label']
+	$g['product_label_html']
 );
 
 function createDestinationServerInputGroup($value = null) {
diff --git a/src/usr/local/www/services_dnsmasq.php b/src/usr/local/www/services_dnsmasq.php
index 0ab891d57d..ab3582e122 100644
--- a/src/usr/local/www/services_dnsmasq.php
+++ b/src/usr/local/www/services_dnsmasq.php
@@ -295,7 +295,7 @@ $group->add(new Form_Checkbox(
 	$pconfig['strict_order']
 ))->setHelp('If this option is set %1$s DNS Forwarder (dnsmasq) will '.
 					'query the DNS servers sequentially in the order specified (%2$sSystem - General Setup - DNS Servers%3$s), '.
-					'rather than all at once in parallel. ', $g['product_label'], '<i>', '</i>');
+					'rather than all at once in parallel. ', $g['product_label_html'], '<i>', '</i>');
 
 $group->add(new Form_Checkbox(
 	'domain_needed',
@@ -304,7 +304,7 @@ $group->add(new Form_Checkbox(
 	$pconfig['domain_needed']
 ))->setHelp("If this option is set %s DNS Forwarder (dnsmasq) will ".
 					"not forward A or AAAA queries for plain names, without dots or domain parts, to upstream name servers.	 ".
-					"If the name is not known from /etc/hosts or DHCP then a \"not found\" answer is returned. ", $g['product_label']);
+					"If the name is not known from /etc/hosts or DHCP then a \"not found\" answer is returned. ", $g['product_label_html']);
 
 $group->add(new Form_Checkbox(
 	'no_private_reverse',
@@ -314,7 +314,7 @@ $group->add(new Form_Checkbox(
 ))->setHelp("If this option is set %s DNS Forwarder (dnsmasq) will ".
 					"not forward reverse DNS lookups (PTR) for private addresses (RFC 1918) to upstream name servers.  ".
 					"Any entries in the Domain Overrides section forwarding private \"n.n.n.in-addr.arpa\" names to a specific server are still forwarded. ".
-					"If the IP to name is not known from /etc/hosts, DHCP or a specific domain override then a \"not found\" answer is immediately returned. ", $g['product_label']);
+					"If the IP to name is not known from /etc/hosts, DHCP or a specific domain override then a \"not found\" answer is immediately returned. ", $g['product_label_html']);
 
 $section->add($group);
 
diff --git a/src/usr/local/www/services_ntpd.php b/src/usr/local/www/services_ntpd.php
index 882233b5c8..02793c9fed 100644
--- a/src/usr/local/www/services_ntpd.php
+++ b/src/usr/local/www/services_ntpd.php
@@ -287,7 +287,7 @@ $section->addInput(new Form_Checkbox(
 	'Enable',
 	'Enable NTP Server',
 	($pconfig['enable'] == 'enabled')
-))->setHelp('You may need to disable NTP if %1$s is running in a virtual machine and the host is responsible for the clock.', $g['product_label']);
+))->setHelp('You may need to disable NTP if %1$s is running in a virtual machine and the host is responsible for the clock.', $g['product_label_html']);
 
 $iflist = build_interface_list();
 
diff --git a/src/usr/local/www/services_ntpd_gps.php b/src/usr/local/www/services_ntpd_gps.php
index 09531256ea..cbdf559464 100644
--- a/src/usr/local/www/services_ntpd_gps.php
+++ b/src/usr/local/www/services_ntpd_gps.php
@@ -397,7 +397,7 @@ $section->addInput(new Form_Select(
 	array_combine($gpstypes, $gpstypes)
 ))->setHelp('This option allows a predefined configuration to be selected. ' .
     'Default is the configuration of %1$s 2.1 and earlier (not recommended). Select Generic if the GPS is not listed.%2$s' .
-    'The predefined configurations assume the GPS has already been set to NMEA mode.', $g['product_label'], '<br /><br />');
+    'The predefined configurations assume the GPS has already been set to NMEA mode.', $g['product_label_html'], '<br /><br />');
 
 $serialports = glob("/dev/cua?[0-9]{,.[0-9]}", GLOB_BRACE);
 
diff --git a/src/usr/local/www/services_router_advertisements.php b/src/usr/local/www/services_router_advertisements.php
index 4532b9b155..09f586d911 100644
--- a/src/usr/local/www/services_router_advertisements.php
+++ b/src/usr/local/www/services_router_advertisements.php
@@ -125,7 +125,7 @@ $ramode_help = gettext('Select the Operating Mode for the Router Advertisement (
 	'</dl>' .
 	sprintf(gettext('It is not required to activate DHCPv6 server on %s ' .
 	    'when set to "Managed", "Assisted" or "Stateless DHCP", it can ' .
-	    'be another host on the network.'), $g['product_label']) .
+	    'be another host on the network.'), $g['product_label_html']) .
 	'</div>';
 
 if ($_POST['save']) {
diff --git a/src/usr/local/www/services_unbound.php b/src/usr/local/www/services_unbound.php
index a1421f574b..21728e03ce 100644
--- a/src/usr/local/www/services_unbound.php
+++ b/src/usr/local/www/services_unbound.php
@@ -375,7 +375,7 @@ $section->addInput(new Form_Select(
 	'*System Domain Local Zone Type',
 	$pconfig['system_domain_local_zone_type'],
 	unbound_local_zone_types()
-))->setHelp('The local-zone type used for the %1$s system domain (System | General Setup | Domain).  Transparent is the default.  Local-Zone type descriptions are available in the unbound.conf(5) manual pages.', $g['product_label']);
+))->setHelp('The local-zone type used for the %1$s system domain (System | General Setup | Domain).  Transparent is the default.  Local-Zone type descriptions are available in the unbound.conf(5) manual pages.', $g['product_label_html']);
 
 $section->addInput(new Form_Checkbox(
 	'dnssec',
diff --git a/src/usr/local/www/status_logs_settings.php b/src/usr/local/www/status_logs_settings.php
index a9c6c0af42..75b37cc336 100644
--- a/src/usr/local/www/status_logs_settings.php
+++ b/src/usr/local/www/status_logs_settings.php
@@ -535,7 +535,7 @@ $group->add(new Form_MultiCheckbox(
 
 $group->setHelp('Syslog sends UDP datagrams to port 514 on the specified remote '.
 	'syslog server, unless another port is specified. Be sure to set syslogd on '.
-	'the remote server to accept syslog messages from %s.', $g['product_label']);
+	'the remote server to accept syslog messages from %s.', $g['product_label_html']);
 
 $section->add($group);
 
diff --git a/src/usr/local/www/system.php b/src/usr/local/www/system.php
index 9587701b89..fba5a64500 100644
--- a/src/usr/local/www/system.php
+++ b/src/usr/local/www/system.php
@@ -620,7 +620,7 @@ $section->addInput(new Form_Checkbox(
 ))->setHelp('If this option is set, %s will use DNS servers '.
 	'assigned by a DHCP/PPP server on WAN for its own purposes (including '.
 	'the DNS Forwarder/DNS Resolver). However, they will not be assigned to DHCP '.
-	'clients.', $g['product_label']);
+	'clients.', $g['product_label_html']);
 
 $section->addInput(new Form_Select(
 	'dnslocalhost',
diff --git a/src/usr/local/www/system_advanced_admin.php b/src/usr/local/www/system_advanced_admin.php
index 35de1f09f0..094c297a21 100644
--- a/src/usr/local/www/system_advanced_admin.php
+++ b/src/usr/local/www/system_advanced_admin.php
@@ -386,7 +386,7 @@ if (!$g['enableserial_force'] && !$g['primaryconsole_force']) {
 		)
 	))->setHelp('Select the preferred console if multiple consoles are present. '.
 		'The preferred console will show %1$s boot script output. All consoles '.
-		'display OS boot messages, console messages, and the console menu.', $g['product_label']);
+		'display OS boot messages, console messages, and the console menu.', $g['product_label_html']);
 }
 
 $form->add($section);
diff --git a/src/usr/local/www/system_advanced_firewall.php b/src/usr/local/www/system_advanced_firewall.php
index 01eee74fcf..d090303f97 100644
--- a/src/usr/local/www/system_advanced_firewall.php
+++ b/src/usr/local/www/system_advanced_firewall.php
@@ -127,7 +127,7 @@ $section->addInput(new Form_Checkbox(
 	isset($config['system']['disablefilter'])
 ))->setHelp('Note: This converts %1$s into a routing only platform!%2$s'.
 	'Note: This will also turn off NAT! To only disable NAT, '.
-	'and not firewall rules, visit the %3$sOutbound NAT%4$s page.', $g["product_label"], '<br/>', '<a href="firewall_nat_out.php">', '</a>');
+	'and not firewall rules, visit the %3$sOutbound NAT%4$s page.', $g["product_label_html"], '<br/>', '<a href="firewall_nat_out.php">', '</a>');
 
 $section->addInput(new Form_Checkbox(
 	'disablescrub',
diff --git a/src/usr/local/www/system_certmanager.php b/src/usr/local/www/system_certmanager.php
index 9ad886c71d..157b2d84cd 100644
--- a/src/usr/local/www/system_certmanager.php
+++ b/src/usr/local/www/system_certmanager.php
@@ -784,7 +784,7 @@ if (in_array($act, array('new', 'edit')) || (($_POST['save'] == gettext("Save"))
 		'keypaste',
 		'Key data',
 		$pconfig['keypaste']
-	))->setHelp('Optionally paste a private key here. The key will be associated with the newly signed certificate in %1$s', $g['product_label']);
+	))->setHelp('Optionally paste a private key here. The key will be associated with the newly signed certificate in %1$s', $g['product_label_html']);
 
 	$section->addInput(new Form_Input(
 		'csrsign_lifetime',
diff --git a/src/usr/local/www/system_update_settings.php b/src/usr/local/www/system_update_settings.php
index e0af00f876..b2da42feec 100644
--- a/src/usr/local/www/system_update_settings.php
+++ b/src/usr/local/www/system_update_settings.php
@@ -246,7 +246,7 @@ if (file_exists("/usr/local/bin/git")) {
 		isset($gitcfg['dryrun'])
 		))->setHelp('Dry-run only.%1$sNo files copied.', '<br />');
 
-	$group->setHelp('See "playback gitsync --help" in console "PHP Shell + %s tools" for additional information.', $g['product_label']);
+	$group->setHelp('See "playback gitsync --help" in console "PHP Shell + %s tools" for additional information.', $g['product_label_html']);
 	$section->add($group);
 
 	$form->add($section);
diff --git a/src/usr/local/www/system_usermanager_settings.php b/src/usr/local/www/system_usermanager_settings.php
index a5dd10e744..77db61d937 100644
--- a/src/usr/local/www/system_usermanager_settings.php
+++ b/src/usr/local/www/system_usermanager_settings.php
@@ -275,7 +275,7 @@ $modal = new Modal("LDAP settings", "testresults", true);
 
 $modal->addInput(new Form_StaticText(
 	'Test results',
-	'<span id="ldaptestop">Testing %s LDAP settings... One moment please...</span>', $g['product_label']
+	'<span id="ldaptestop">Testing %s LDAP settings... One moment please...</span>', $g['product_label_html']
 ));
 
 $form->add($modal);
diff --git a/src/usr/local/www/vpn_ipsec_phase1.php b/src/usr/local/www/vpn_ipsec_phase1.php
index f11d3fb9a8..38f5c4cbdc 100644
--- a/src/usr/local/www/vpn_ipsec_phase1.php
+++ b/src/usr/local/www/vpn_ipsec_phase1.php
@@ -1111,7 +1111,7 @@ $section->addInput(new Form_Checkbox(
 	'Gateway duplicates',
 	sprintf(gettext('Enable this to allow multiple phase 1 configurations with the same endpoint. ' .
 	    'When enabled, %s does not manage routing to the remote gateway and traffic will follow the default route ' .
-	    'without regard for the chosen interface. Static routes can override this behavior.'), $g['product_label']),
+	    'without regard for the chosen interface. Static routes can override this behavior.'), $g['product_label_html']),
 	$pconfig['gw_duplicates']
 ));
 