commit 6dbc42de35e83d8fe94b616d2f40cc5e171e9d61
Author: jim-p <jimp@pfsense.org>
Date:   Wed Mar 1 15:01:34 2017 -0500

    Sync up package help links with current packages.
    
    Many do not yet exist, but can easily be created.

diff --git a/src/usr/local/www/help.php b/src/usr/local/www/help.php
index d11b75bd05..2f938ca21a 100644
--- a/src/usr/local/www/help.php
+++ b/src/usr/local/www/help.php
@@ -236,87 +236,240 @@ $helppages = array(
 	'vpn_openvpn_client.php' => 'https://doc.pfsense.org/index.php/OpenVPN_Settings',
 	'vpn_openvpn_csc.php' => 'https://doc.pfsense.org/index.php/OpenVPN_Settings',
 	'vpn_openvpn_export.php' => 'https://doc.pfsense.org/index.php/OpenVPN_Client_Exporter', /* Package */
+	'vpn_openvpn_export_shared.php' => 'https://doc.pfsense.org/index.php/OpenVPN_Client_Exporter', /* Package */
 	'vpn_openvpn_server.php' => 'https://doc.pfsense.org/index.php/OpenVPN_Settings',
 
 	/* Packages from here on down. Not checked as strictly. Pages may not yet exist. */
-	'anyterm.xml' => 'https://doc.pfsense.org/index.php/AnyTerm_package',
+	'acme/acme_accountkeys_edit.php' => 'https://doc.pfsense.org/index.php/ACME_package',
+	'acme/acme_accountkeys.php' => 'https://doc.pfsense.org/index.php/ACME_package',
+	'acme/acme_certificates_edit.php' => 'https://doc.pfsense.org/index.php/ACME_package',
+	'acme/acme_certificates.php' => 'https://doc.pfsense.org/index.php/ACME_package',
+	'acme/acme_generalsettings.php' => 'https://doc.pfsense.org/index.php/ACME_package',
+	'acme.xml' => 'https://doc.pfsense.org/index.php/ACME_package',
+	'apcupsd_status.php' => 'https://doc.pfsense.org/index.php/Apcupsd_package',
+	'apcupsd.xml' => 'https://doc.pfsense.org/index.php/Apcupsd_package',
 	'arping.xml' => 'https://doc.pfsense.org/index.php/Arping_package',
+	'autoconfigbackup_backup.php' => 'https://doc.pfsense.org/index.php/AutoConfigBackup',
+	'autoconfigbackup.php' => 'https://doc.pfsense.org/index.php/AutoConfigBackup',
+	'autoconfigbackup_stats.php' => 'https://doc.pfsense.org/index.php/AutoConfigBackup',
 	'autoconfigbackup.xml' => 'https://doc.pfsense.org/index.php/AutoConfigBackup',
 	'avahi.xml' => 'https://doc.pfsense.org/index.php/Avahi_package',
-	'bandwidthd.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
+	'backup.xml' => 'https://doc.pfsense.org/index.php/Backup_package',
+	'bind_acls.xml' => 'https://doc.pfsense.org/index.php/BIND_package',
+	'bind_sync.xml' => 'https://doc.pfsense.org/index.php/BIND_package',
+	'bind_views.xml' => 'https://doc.pfsense.org/index.php/BIND_package',
+	'bind.xml' => 'https://doc.pfsense.org/index.php/BIND_package',
+	'bind_zones.xml' => 'https://doc.pfsense.org/index.php/BIND_package',
 	'blinkled.xml' => 'https://doc.pfsense.org/index.php/BlinkLED_Package',
+	'cellular.xml' => 'https://doc.pfsense.org/index.php/Cellular_package',
+	'cron.xml' => 'https://doc.pfsense.org/index.php/Cron_package',
 	'darkstat.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
-	'havp_avset.xml' => 'https://doc.pfsense.org/index.php/HAVP_Package_for_HTTP_Anti-Virus_Scanning',
-	'havp_blacklist.xml' => 'https://doc.pfsense.org/index.php/HAVP_Package_for_HTTP_Anti-Virus_Scanning',
-	'havp_fscan.xml' => 'https://doc.pfsense.org/index.php/HAVP_Package_for_HTTP_Anti-Virus_Scanning',
-	'havp_trans_exclude.xml' => 'https://doc.pfsense.org/index.php/HAVP_Package_for_HTTP_Anti-Virus_Scanning',
-	'havp_whitelist.xml' => 'https://doc.pfsense.org/index.php/HAVP_Package_for_HTTP_Anti-Virus_Scanning',
-	'havp.xml' => 'https://doc.pfsense.org/index.php/HAVP_Package_for_HTTP_Anti-Virus_Scanning',
+	'freeradiusauthorizedmacs.xml' => 'https://doc.pfsense.org/index.php/Plain_MAC_Authentication_with_FreeRADIUS',
+	'freeradiuscerts.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradiusclients.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradiuseapconf.xml' => 'https://doc.pfsense.org/index.php/Using_EAP_and_PEAP_with_FreeRADIUS',
+	'freeradiusinterfaces.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradiusmodulesldap.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradiussettings.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradiussqlconf.xml' => 'https://doc.pfsense.org/index.php/Using_MySQL_with_FreeRADIUS',
+	'freeradiussync.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradius_view_config.php' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'freeradius.xml' => 'https://doc.pfsense.org/index.php/FreeRADIUS_2.x_package',
+	'ftpproxy.xml' => 'https://doc.pfsense.org/index.php/FTP_Proxy_package',
+	'gwled.php' => 'https://doc.pfsense.org/index.php/Gwled_package',
+	'gwled.xml' => 'https://doc.pfsense.org/index.php/Gwled_package',
+	'haproxy/haproxy_files.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_global.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_listeners_edit.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_listeners.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_pool_edit.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_pools.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_stats.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy/haproxy_templates.php' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'haproxy.xml' => 'https://doc.pfsense.org/index.php/Haproxy_package',
+	'iftop.xml' => 'https://doc.pfsense.org/index.php/Iftop_package',
 	'iperfserver.xml' => 'https://doc.pfsense.org/index.php/Iperf_package',
 	'iperf.xml' => 'https://doc.pfsense.org/index.php/Iperf_package',
-	'jailctl_defaults.xml' => 'https://doc.pfsense.org/index.php/PfJailctl_package',
-	'jailctl_settings.xml' => 'https://doc.pfsense.org/index.php/PfJailctl_package',
-	'jailctl.xml' => 'https://doc.pfsense.org/index.php/PfJailctl_package',
-	'jail_template.xml' => 'https://doc.pfsense.org/index.php/PfJailctl_package',
+	'ladvd.xml' => 'https://doc.pfsense.org/index.php/LADVD_package',
+	'lcdproc.xml' => 'https://doc.pfsense.org/index.php/LCDProc_package',
+	'lightsquid.xml' => 'https://doc.pfsense.org/index.php/Lightsquid_package',
+	'mailreport.xml' => 'https://doc.pfsense.org/index.php/Mail_Reports_package',
+	'mtr-nox11.xml' => 'https://doc.pfsense.org/index.php/MTR_package',
+	'net-snmp_communities.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmptrapd_communities.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmptrapd_formats.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmptrapd_forwards.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmptrapd_traphandles.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmptrapd_users.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmptrapd.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmp_trapgen.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmp_users.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'net-snmp.xml' => 'https://doc.pfsense.org/index.php/NET-SNMP_package',
+	'nmap.xml' => 'https://doc.pfsense.org/index.php/Nmap_package',
+	'notes.xml' => 'https://doc.pfsense.org/index.php/Notes_package',
+	'nrpe.xml' => 'https://doc.pfsense.org/index.php/NRPE_package',
 	'ntopng.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
-	'ntop.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
+	'nut_settings.php' => 'https://doc.pfsense.org/index.php/Nut_package',
+	'nut_status.php' => 'https://doc.pfsense.org/index.php/Nut_package',
 	'nut.xml' => 'https://doc.pfsense.org/index.php/Nut_package',
-	'olsrd.xml' => 'https://doc.pfsense.org/index.php/OLSR_Daemon',
 	'openbgpd_groups.xml' => 'https://doc.pfsense.org/index.php/OpenBGPD_package',
 	'openbgpd_neighbors.xml' => 'https://doc.pfsense.org/index.php/OpenBGPD_package',
+	'openbgpd_raw.php' => 'https://doc.pfsense.org/index.php/OpenBGPD_package',
+	'openbgpd_status.php' => 'https://doc.pfsense.org/index.php/OpenBGPD_package',
 	'openbgpd.xml' => 'https://doc.pfsense.org/index.php/OpenBGPD_package',
 	'open-vm-tools.xml' => 'https://doc.pfsense.org/index.php/Open_VM_Tools_package',
-	'pfflowd.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
-	'phpservice.xml' => 'https://doc.pfsense.org/index.php/PHPService',
-	'rate.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
+	'packages/backup/backup_edit.php' => 'https://doc.pfsense.org/index.php/Backup_package',
+	'packages/backup/backup.php' => 'https://doc.pfsense.org/index.php/Backup_package',
+	'packages/cron/cron_edit.php' => 'https://doc.pfsense.org/index.php/Cron_package',
+	'packages/cron/cron.php' => 'https://doc.pfsense.org/index.php/Cron_package',
+	'packages/cron/index.php' => 'https://doc.pfsense.org/index.php/Cron_package',
+	'packages/lcdproc/index.php' => 'https://doc.pfsense.org/index.php/LCDProc_package',
+	'packages/lcdproc/lcdproc.php' => 'https://doc.pfsense.org/index.php/LCDProc_package',
+	'packages/lcdproc/lcdproc_screens.php' => 'https://doc.pfsense.org/index.php/LCDProc_package',
+	'pfblockerng/pfblockerng_alerts_ar.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_alerts.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_dnsbl_easylist.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_dnsbl_lists.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_dnsbl.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_log.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_sync.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_threats.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_update.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_v4lists.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/pfblockerng_v6lists.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng/www/index.php' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'pfblockerng.xml' => 'https://doc.pfsense.org/index.php/Pfblocker',
+	'quagga_ospfd_interfaces.xml' => 'https://doc.pfsense.org/index.php/Quagga_package',
+	'quagga_ospfd_raw.xml' => 'https://doc.pfsense.org/index.php/Quagga_package',
+	'quagga_ospfd.xml' => 'https://doc.pfsense.org/index.php/Quagga_package',
 	'routed.xml' => 'https://doc.pfsense.org/index.php/Routing_Information_Protocol_(RIP)', # RIP
+	'services_servicewatchdog_add.php' => 'https://doc.pfsense.org/index.php/Service_Watchdog_package',
+	'services_servicewatchdog.php' => 'https://doc.pfsense.org/index.php/Service_Watchdog_package',
+	'servicewatchdog.xml' => 'https://doc.pfsense.org/index.php/Service_Watchdog_package',
+	'shellcmd.xml' => 'https://doc.pfsense.org/index.php/Executing_commands_at_boot_time',
+	'siproxd_registered_phones.php' => 'https://doc.pfsense.org/index.php/Siproxd_package',
 	'siproxdusers.xml' => 'https://doc.pfsense.org/index.php/Siproxd_package',
 	'siproxd.xml' => 'https://doc.pfsense.org/index.php/Siproxd_package',
 	'snort/snort_alerts.php' => 'https://doc.pfsense.org/index.php/Snort_alerts',
 	'snort/snort_barnyard.php' => 'https://doc.pfsense.org/index.php/Snort_barnyard2',
 	'snort/snort_blocked.php' => 'https://doc.pfsense.org/index.php/Snort_blocked_hosts',
 	'snort/snort_define_servers.php' => 'https://doc.pfsense.org/index.php/Snort_define_servers',
+	'snort/snort_download_rules.php' => 'https://doc.pfsense.org/index.php/Snort_updates',
 	'snort/snort_download_updates.php' => 'https://doc.pfsense.org/index.php/Snort_updates',
+	'snort/snort_edit_hat_data.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
+	'snort/snort_frag3_engine.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
+	'snort/snort_ftp_client_engine.php' => 'https://doc.pfsense.org/index.php/Snort_preprocessors',
+	'snort/snort_ftp_server_engine.php' => 'https://doc.pfsense.org/index.php/Snort_preprocessors',
+	'snort/snort_httpinspect_engine.php' => 'https://doc.pfsense.org/index.php/Snort_preprocessors',
+	'snort/snort_import_aliases.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
+	'snort/snort_interface_logs.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
 	'snort/snort_interfaces_edit.php' => 'https://doc.pfsense.org/index.php/Snort_interfaces_edit',
 	'snort/snort_interfaces_global.php' => 'https://doc.pfsense.org/index.php/Snort_interfaces_global',
 	'snort/snort_interfaces.php' => 'https://doc.pfsense.org/index.php/Snort_interfaces',
 	'snort/snort_interfaces_suppress_edit.php' => 'https://doc.pfsense.org/index.php/Snort_suppress_list',
 	'snort/snort_interfaces_suppress.php' => 'https://doc.pfsense.org/index.php/Snort_suppress_list',
 	'snort/snort_ip_list_mgmt.php' => 'https://doc.pfsense.org/index.php/Snort_ip_list_mgmt',
+	'snort/snort_iprep_list_browser.php' => 'https://doc.pfsense.org/index.php/Snort_ip_reputation',
 	'snort/snort_ip_reputation.php' => 'https://doc.pfsense.org/index.php/Snort_ip_reputation_preprocessor',
+	'snort/snort_list_view.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
+	'snort/snort_log_mgmt.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
 	'snort/snort_passlist_edit.php' => 'https://doc.pfsense.org/index.php/Snort_passlist',
 	'snort/snort_passlist.php' => 'https://doc.pfsense.org/index.php/Snort_passlist',
 	'snort/snort_preprocessors.php' => 'https://doc.pfsense.org/index.php/Snort_preprocessors',
+	'snort/snort_rules_edit.php' => 'https://doc.pfsense.org/index.php/Snort_rules',
 	'snort/snort_rulesets.php' => 'https://doc.pfsense.org/index.php/Snort_rulesets',
+	'snort/snort_rules_flowbits.php' => 'https://doc.pfsense.org/index.php/Snort_rules',
 	'snort/snort_rules.php' => 'https://doc.pfsense.org/index.php/Snort_rules',
+	'snort/snort_select_alias.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
+	'snort/snort_sid_mgmt.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
+	'snort/snort_stream5_engine.php' => 'https://doc.pfsense.org/index.php/Category:Snort',
 	'snort/snort_sync.xml' => 'https://doc.pfsense.org/index.php/Snort_sync',
 	'snort.xml' => 'https://doc.pfsense.org/index.php/Setup_Snort_Package',
+	'softflowd.xml' => 'https://doc.pfsense.org/index.php/Exporting_NetFlow_with_softflowd',
+	'sqstat/sqstat.class.php' => 'https://doc.pfsense.org/index.php/Sqstat_package',
+	'sqstat/sqstat.php' => 'https://doc.pfsense.org/index.php/Sqstat_package',
+	'squid_antivirus.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squid_auth.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squid_cache.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
-	'squid_extauth.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squidguard_acl.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
 	'squidguard_default.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
 	'squidguard_dest.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
-	'squidguard_log.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
 	'squidguard_rewr.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
+	'squidGuard/squidguard_blacklist.php' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
+	'squidGuard/squidguard_log.php' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
+	'squidguard_sync.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
 	'squidguard_time.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
 	'squidguard.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
-	'squidGuard.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
-	'squid_nac.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
-	'squid_ng.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squidguard.xml' => 'https://doc.pfsense.org/index.php/SquidGuard_package',
+	'squid_log_parser.php' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_monitor_data.php' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_monitor.php' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_reverse_general.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_reverse_peer.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_reverse_redir.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_reverse_sync.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_reverse_uri.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'squid_sync.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squid_traffic.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squid_upstream.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squid_users.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
 	'squid.xml' => 'https://doc.pfsense.org/index.php/Category:Squid',
+	'status_ladvd.php' => 'https://doc.pfsense.org/index.php/LADVD_package',
+	'status_mail_report_add_cmd.php' => 'https://doc.pfsense.org/index.php/Mail_Reports_package',
+	'status_mail_report_add_log.php' => 'https://doc.pfsense.org/index.php/Mail_Reports_package',
+	'status_mail_report_edit.php' => 'https://doc.pfsense.org/index.php/Mail_Reports_package',
+	'status_mail_report.php' => 'https://doc.pfsense.org/index.php/Mail_Reports_package',
+	'status_ospfd.php' => 'https://doc.pfsense.org/index.php/Quagga_package',
+	'status_tinc.php' => 'https://doc.pfsense.org/index.php/Tinc_package',
+	'status_traffic_totals.php' => 'https://doc.pfsense.org/index.php/Traffic_Totals_package',
 	'stunnel_certs.xml' => 'https://doc.pfsense.org/index.php/Stunnel_package',
 	'stunnel.xml' => 'https://doc.pfsense.org/index.php/Stunnel_package',
-	'tinydns_domains.xml' => 'https://doc.pfsense.org/index.php/Tinydns_package',
-	'tinydns_sync.xml' => 'https://doc.pfsense.org/index.php/Tinydns_package',
-	'tinydns.xml' => 'https://doc.pfsense.org/index.php/Tinydns_package',
-	'unbound.xml' => 'https://doc.pfsense.org/index.php/Unbound_package',
-	'vnstat.xml' => 'https://doc.pfsense.org/index.php/How_can_I_monitor_bandwidth_usage',
-	'widentd.xml' => 'https://doc.pfsense.org/index.php/Widentd_package',
-
+	'sudo.xml' => 'https://doc.pfsense.org/index.php/Sudo_Package',
+	'suricata/suricata_alerts.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_app_parsers.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_barnyard.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_blocked.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_define_vars.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_download_rules.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_download_updates.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_flow_stream.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_global.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_import_aliases.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_interfaces_edit.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_interfaces.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_ip_list_mgmt.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_iprep_list_browser.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_ip_reputation.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_libhtp_policy_engine.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_list_view.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_logs_browser.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_logs_mgmt.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_os_policy_engine.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_passlist_edit.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_passlist.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_rules_edit.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_rulesets.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_rules_flowbits.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_rules.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_select_alias.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_sid_mgmt.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_suppress_edit.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_suppress.php' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata/suricata_sync.xml' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'suricata.xml' => 'https://doc.pfsense.org/index.php/Suricata_package',
+	'syslog-ng_advanced.xml' => 'https://doc.pfsense.org/index.php/Syslog-ng_package',
+	'syslog-ng_log_viewer.php' => 'https://doc.pfsense.org/index.php/Syslog-ng_package',
+	'syslog-ng.xml' => 'https://doc.pfsense.org/index.php/Syslog-ng_package',
+	'system_patches_edit.php' => 'https://doc.pfsense.org/index.php/System_Patches',
+	'system_patches.php' => 'https://doc.pfsense.org/index.php/System_Patches',
+	'systempatches.xml' => 'https://doc.pfsense.org/index.php/System_Patches',
+	'tftpd.xml' => 'https://doc.pfsense.org/index.php/Tftpd_package',
+	'tftp_files.php' => 'https://doc.pfsense.org/index.php/Tftpd_package',
+	'tinc_hosts.xml' => 'https://doc.pfsense.org/index.php/Tinc_package',
+	'tinc.xml' => 'https://doc.pfsense.org/index.php/Tinc_package',
+	'zabbix-agent-lts.xml' => 'https://doc.pfsense.org/index.php/Zabbix_Agent_package',
+	'zabbix-proxy-lts.xml' => 'https://doc.pfsense.org/index.php/Zabbix_Proxy_package',
 );
 
 $pagename = "";