commit 7ca42d47c0fb73f9a391f88a08b8e8c876c9e9d9
Author: k-paulius <k.dash.paulius@gmail.com>
Date:   Sat Feb 13 00:33:55 2016 -0600

    Renamed 'Wake on LAN' to 'Wake-on-LAN'

diff --git a/src/etc/inc/priv.defs.inc b/src/etc/inc/priv.defs.inc
index a106ce9bc4..3ba0a9115f 100644
--- a/src/etc/inc/priv.defs.inc
+++ b/src/etc/inc/priv.defs.inc
@@ -869,14 +869,14 @@ $priv_list['page-services-dnsresolver-edithost']['match'] = array();
 $priv_list['page-services-dnsresolver-edithost']['match'][] = "services_unbound_host_edit.php*";
 
 $priv_list['page-services-wakeonlan'] = array();
-$priv_list['page-services-wakeonlan']['name'] = gettext("WebCfg - Services: Wake on LAN");
-$priv_list['page-services-wakeonlan']['descr'] = gettext("Allow access to the 'Services: Wake on LAN' page.");
+$priv_list['page-services-wakeonlan']['name'] = gettext("WebCfg - Services: Wake-on-LAN");
+$priv_list['page-services-wakeonlan']['descr'] = gettext("Allow access to the 'Services: Wake-on-LAN' page.");
 $priv_list['page-services-wakeonlan']['match'] = array();
 $priv_list['page-services-wakeonlan']['match'][] = "services_wol.php*";
 
 $priv_list['page-services-wakeonlan-edit'] = array();
-$priv_list['page-services-wakeonlan-edit']['name'] = gettext("WebCfg - Services: Wake on LAN: Edit");
-$priv_list['page-services-wakeonlan-edit']['descr'] = gettext("Allow access to the 'Services: Wake on LAN: Edit' page.");
+$priv_list['page-services-wakeonlan-edit']['name'] = gettext("WebCfg - Services: Wake-on-LAN: Edit");
+$priv_list['page-services-wakeonlan-edit']['descr'] = gettext("Allow access to the 'Services: Wake-on-LAN: Edit' page.");
 $priv_list['page-services-wakeonlan-edit']['match'] = array();
 $priv_list['page-services-wakeonlan-edit']['match'][] = "services_wol_edit.php*";
 
diff --git a/src/usr/local/www/diag_backup.php b/src/usr/local/www/diag_backup.php
index e29b76e880..5e42912acd 100644
--- a/src/usr/local/www/diag_backup.php
+++ b/src/usr/local/www/diag_backup.php
@@ -575,7 +575,7 @@ function build_area_list($showall) {
 		"snmpd" => gettext("SNMP Server"),
 		"shaper" => gettext("Traffic Shaper"),
 		"vlans" => gettext("VLANS"),
-		"wol" => gettext("Wake on LAN")
+		"wol" => gettext("Wake-on-LAN")
 		);
 
 	$list = array("" => gettext("All"));
diff --git a/src/usr/local/www/head.inc b/src/usr/local/www/head.inc
index 515a6d67df..59405d9acd 100644
--- a/src/usr/local/www/head.inc
+++ b/src/usr/local/www/head.inc
@@ -270,7 +270,7 @@ if (count($config['interfaces']) > 1) {
 	$services_menu[] = array(gettext("UPnP &amp; NAT-PMP"), "/pkg_edit.php?xml=miniupnpd.xml");
 }
 
-$services_menu[] = array(gettext("Wake on LAN"), "/services_wol.php");
+$services_menu[] = array(gettext("Wake-on-LAN"), "/services_wol.php");
 $services_menu = msort(array_merge($services_menu, return_ext_menu("Services")), 0);
 
 // VPN
diff --git a/src/usr/local/www/services_wol.php b/src/usr/local/www/services_wol.php
index 8e27cb8ac9..516af747fb 100644
--- a/src/usr/local/www/services_wol.php
+++ b/src/usr/local/www/services_wol.php
@@ -58,8 +58,8 @@
 
 ##|+PRIV
 ##|*IDENT=page-services-wakeonlan
-##|*NAME=Services: Wake on LAN
-##|*DESCR=Allow access to the 'Services: Wake on LAN' page.
+##|*NAME=Services: Wake-on-LAN
+##|*DESCR=Allow access to the 'Services: Wake-on-LAN' page.
 ##|*MATCH=services_wol.php*
 ##|-PRIV
 
@@ -143,13 +143,13 @@ if ($_GET['act'] == "del") {
 	}
 }
 
-$pgtitle = array(gettext("Services"), gettext("Wake on LAN"));
+$pgtitle = array(gettext("Services"), gettext("Wake-on-LAN"));
 include("head.inc");
 ?>
 <div class="infoblock blockopen">
 <?php
 print_info_box(gettext('This service can be used to wake up (power on) computers by sending special "Magic Packets".') . '<br />' .
-			   gettext('The NIC in the computer that is to be woken up must support Wake on LAN and must be properly configured (WOL cable, BIOS settings).'),
+			   gettext('The NIC in the computer that is to be woken up must support Wake-on-LAN and must be properly configured (WOL cable, BIOS settings).'),
 			   'info', false);
 
 ?>
@@ -166,7 +166,7 @@ if ($savemsg) {
 
 $form = new Form('Send');
 
-$section = new Form_Section('Wake on LAN');
+$section = new Form_Section('Wake-on-LAN');
 
 $section->addInput(new Form_Select(
 	'interface',
@@ -188,7 +188,7 @@ print $form;
 
 <div class="panel panel-default">
 	<div class="panel-heading">
-		<h2 class="panel-title"><?=gettext("Wake on LAN Devices");?></h2>
+		<h2 class="panel-title"><?=gettext("Wake-on-LAN Devices");?></h2>
 	</div>
 
 	<div class="panel-body">
diff --git a/src/usr/local/www/services_wol_edit.php b/src/usr/local/www/services_wol_edit.php
index 53fde8f0ae..2debfd9092 100644
--- a/src/usr/local/www/services_wol_edit.php
+++ b/src/usr/local/www/services_wol_edit.php
@@ -58,8 +58,8 @@
 
 ##|+PRIV
 ##|*IDENT=page-services-wakeonlan-edit
-##|*NAME=Services: Wake on LAN: Edit
-##|*DESCR=Allow access to the 'Services: Wake on LAN: Edit' page.
+##|*NAME=Services: Wake-on-LAN: Edit
+##|*DESCR=Allow access to the 'Services: Wake-on-LAN: Edit' page.
 ##|*MATCH=services_wol_edit.php*
 ##|-PRIV
 
@@ -134,7 +134,7 @@ if ($_POST) {
 	}
 }
 
-$pgtitle = array(gettext("Services"), gettext("Wake on LAN"), gettext("Edit"));
+$pgtitle = array(gettext("Services"), gettext("Wake-on-LAN"), gettext("Edit"));
 include("head.inc");
 
 if ($input_errors) {
diff --git a/src/usr/local/www/system_hasync.php b/src/usr/local/www/system_hasync.php
index f078910af9..bfbfa93358 100755
--- a/src/usr/local/www/system_hasync.php
+++ b/src/usr/local/www/system_hasync.php
@@ -296,7 +296,7 @@ $group->add(new Form_MultiCheckbox(
 
 $group->add(new Form_MultiCheckbox(
 	'synchronizewol',
-	'Synchronize Wake on LAN',
+	'Synchronize Wake-on-LAN',
 	'WoL Server settings ',
 	($pconfig['synchronizewol'] === 'on'),
 	'on'
diff --git a/src/usr/local/www/widgets/include/wake_on_lan.inc b/src/usr/local/www/widgets/include/wake_on_lan.inc
index accab90658..7c85d91057 100644
--- a/src/usr/local/www/widgets/include/wake_on_lan.inc
+++ b/src/usr/local/www/widgets/include/wake_on_lan.inc
@@ -1,7 +1,7 @@
 <?php
 
 //set variable for custom title
-$wake_on_lan_title = gettext("Wake On Lan");
+$wake_on_lan_title = gettext("Wake-on-Lan");
 $wake_on_lan_title_link = "services_wol.php";
 
 ?>
\ No newline at end of file