commit 7f43ca88afa8e6ba3fe1596a870daa0b08c86f3f
Author: Scott Ullrich <sullrich@pfsense.org>
Date:   Sat Jul 2 04:03:06 2005 +0000

    Use new header system.

diff --git a/usr/local/www/interfaces.php b/usr/local/www/interfaces.php
index 3477773900..d5ab528a2f 100755
--- a/usr/local/www/interfaces.php
+++ b/usr/local/www/interfaces.php
@@ -265,13 +265,12 @@ if ($_POST) {
 		$savemsg = get_std_save_message($retval);
 	}
 }
+
+$pgtitle = "Interfaces: WAN";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("Interfaces: WAN");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
+
 <script language="JavaScript">
 <!--
 function enable_change(enable_change) {
@@ -421,7 +420,6 @@ function type_change(enable_change,enable_change_pptp) {
 }
 //-->
 </script>
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
diff --git a/usr/local/www/interfaces_assign.php b/usr/local/www/interfaces_assign.php
index 9bd7eaa275..303fcdedc1 100755
--- a/usr/local/www/interfaces_assign.php
+++ b/usr/local/www/interfaces_assign.php
@@ -176,14 +176,11 @@ if ($_GET['act'] == "add") {
 	exit;
 }
 
+
+$pgtitle = "Interfaces: Assign";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("Diagnostics: System logs: IPSEC VPN");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
diff --git a/usr/local/www/interfaces_lan.php b/usr/local/www/interfaces_lan.php
index e555eb3633..b367506dc3 100755
--- a/usr/local/www/interfaces_lan.php
+++ b/usr/local/www/interfaces_lan.php
@@ -112,14 +112,11 @@ if ($_POST) {
 	}
 }
 
-?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("Interfaces: LAN");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
 
+$pgtitle = "Interfaces: LAN";
+include("head.inc");
+
+?>
 <script type="text/javascript" language="javascript" src="ip_helper.js">
 </script>
 
@@ -131,7 +128,6 @@ function ipaddr_change() {
 // -->
 </script>
 
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
diff --git a/usr/local/www/interfaces_opt.php b/usr/local/www/interfaces_opt.php
index 16faefd1e3..c250a22bc1 100755
--- a/usr/local/www/interfaces_opt.php
+++ b/usr/local/www/interfaces_opt.php
@@ -161,17 +161,15 @@ if ($_POST) {
 		$savemsg = get_std_save_message($retval);
 	}
 }
+
+
+$pgtitle = "Firewall: NAT: Inbound";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("Interfaces: Optional $index (" . htmlspecialchars($optcfg['descr']) . ")");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
 
 <script type="text/javascript" language="javascript" src="ip_helper.js">
 </script>
-
 <script language="JavaScript">
 <!--
 function enable_change(enable_over) {
@@ -186,8 +184,6 @@ function ipaddr_change() {
 //-->
 </script>
 
-</head>
-
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
 <p class="pgtitle">Interfaces: Optional <?=$index;?> (<?=htmlspecialchars($optcfg['descr']);?>)</p>
diff --git a/usr/local/www/interfaces_vlan.php b/usr/local/www/interfaces_vlan.php
index 304aaa4f01..7c9edef7d9 100755
--- a/usr/local/www/interfaces_vlan.php
+++ b/usr/local/www/interfaces_vlan.php
@@ -84,14 +84,11 @@ if ($_GET['act'] == "del") {
 	}
 }
 
+
+$pgtitle = "Interfaces: VLAN";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("Interfaces: Assign network ports: VLANs");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
diff --git a/usr/local/www/interfaces_vlan_edit.php b/usr/local/www/interfaces_vlan_edit.php
index 29f64ec420..2e6952ea4c 100755
--- a/usr/local/www/interfaces_vlan_edit.php
+++ b/usr/local/www/interfaces_vlan_edit.php
@@ -91,13 +91,11 @@ if ($_POST) {
 		exit;
 	}
 }
+
+$pgtitle = "Firewall: VLAN: Edit";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head>
-<title><?=gentitle("Interfaces: Assign network ports: VLANs: Edit");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
diff --git a/usr/local/www/interfaces_wan.php b/usr/local/www/interfaces_wan.php
index 3477773900..d5ab528a2f 100755
--- a/usr/local/www/interfaces_wan.php
+++ b/usr/local/www/interfaces_wan.php
@@ -265,13 +265,12 @@ if ($_POST) {
 		$savemsg = get_std_save_message($retval);
 	}
 }
+
+$pgtitle = "Interfaces: WAN";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("Interfaces: WAN");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
+
 <script language="JavaScript">
 <!--
 function enable_change(enable_change) {
@@ -421,7 +420,6 @@ function type_change(enable_change,enable_change_pptp) {
 }
 //-->
 </script>
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
diff --git a/usr/local/www/system_routes.php b/usr/local/www/system_routes.php
index f9846d9f1c..f9c6f6f51d 100755
--- a/usr/local/www/system_routes.php
+++ b/usr/local/www/system_routes.php
@@ -87,14 +87,11 @@ if ($_GET['act'] == "del") {
 		exit;
 	}
 }
+
+$pgtitle = "System: Static Routes";
+include("head.inc");
+
 ?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-<head>
-<title><?=gentitle("System: Static routes");?></title>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link href="gui.css" rel="stylesheet" type="text/css">
-</head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>